gnutls_ecc_curve_get(3)

NAME
gnutls_ecc_curve_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_ecc_curve_t gnutls_ecc_curve_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Returns the currently used elliptic curve. Only valid when using an elliptic curve ciphersuite.

RETURNS
the currently used curve, a gnutls_ecc_curve_t type.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/